api/urls.py
from django.urls import path
from api import views


app_name ="api"
urlpatterns = [
    
]

core/urls.py
from django.urls import path
from core import views
from .models import *



app_name ="core"
urlpatterns = [
    ## Tecnicos
    path('list1/Tecincos/',views.List1.as_view(), name="list1"),
    path('detail/Tecnicos/<int:pk>/', views.DetailTecnico.as_view(), name= "detail1"),
    path('create/Tecnicos/',views.CreateTecnico.as_view(), name="create1"),
    path('update/Tecnicos/<int:pk>/', views.UpdateTecnicos.as_view(), name= "Update1"),
    path('delete/Tecnicos/<int:pk>/', views.DeleteTecnico.as_view(), name= "delete1"),
    ## Servicios
    path('list2/Servicios/',views.List2.as_view(), name="list2"),
    path('detail/Servicios/<int:pk>/', views.DetailServicio.as_view(), name= "detail2"),
    path('create/Servicios/',views.CreateServicio.as_view(), name="create2"),
    path('update/Servicios/<int:pk>/', views.UpdateServicios.as_view(), name= "Update2"),
    path('delete/Servicios/<int:pk>/', views.DeleteServicios.as_view(), name= "delete2"),
    ## Maquinas
    path('list3/Maquinas/',views.List3.as_view(), name="list3"),
    path('detail/Maquinas/<str:pk>/', views.DetailMaquinas.as_view(), name="detail3"),
    path('create/Maquinas/',views.CreateMaquina.as_view(), name="create3"),
    path('Update/Maquinas/<str:pk>/', views.UpdateMaquina.as_view(), name="Update3"),
    path('Delete/Maquinas/<str:pk>/', views.DeleteMaquina.as_view(), name="Delete3"),
]

home/urls.py
from django.urls import path
from home import views


app_name ="home"
urlpatterns = [
    path('', views.Index.as_view(), name="index"),
    path('Nosotros/', views.Nosotros.as_view(), name="Nosotros"),
]

principal/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('api/', include("api.urls")),
    path('core/', include("core.urls")),
    path('', include("home.urls")),
]

home/models.py
from django.db import models

# Create your models here.

home/views.py
from django.shortcuts import render

from django.views import generic

# Create your views here.

class Index(generic.View):
    template_name = "home/index.html"
    context = {}
    def get(self, request, *args, **kwargs):
        self.context = {
            
        }
        return render(request, self.template_name, self.context)

class Nosotros(generic.View):
    template_name = "home/SobreNosotros.html"
    context = {}
    def get(self, request, *args, **kwargs):
        self.context = {
            
        }
        return render(request, self.template_name, self.context)

templates/home/SobreNosotros.html
{% extends "base/base.html" %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{% block title %} Nosotros {% endblock title %}</title>
</head>
<body>
    {% block content %}
    <br>
    <div style="text-align: center; margin: 20px;">
        <h2>Bienvenidos a MachFlex</h2>
        <br>
        <p>
            En MachFlex, nos dedicamos a brindar soluciones de gestión de citas para la industria de maquinaria fija.
            Nuestra misión es simplificar y optimizar la administración de servicios y citas para garantizar la
            eficiencia y productividad en su empresa.
        </p>
        <br>
        <p>
            Contamos con un equipo de profesionales dedicados a ofrecer la mejor experiencia en el manejo de citas y
            servicios para su maquinaria industrial.
        </p>
        <br>
        <br>
        <br>
        <br>
    </div>

    <div style="text-align: center; margin: 20px;">
        <h3>Explora nuestras opciones:</h3>
        <br>
        <br>
        <ul style="list-style-type: none; padding: 0;">
            <li style="display: inline; margin-right: 20px;">
                <a href="{% url 'core:list3' %}">Ver Lista de Máquinas</a>
            </li>
            <li style="display: inline; margin-right: 20px;">
                <a href="{% url 'core:list2' %}">Ver Lista de Servicios</a>
            </li>
            <li style="display: inline;">
                <a href="{% url 'core:list1' %}">Ver Lista de Técnicos</a>
            </li>
        </ul>
    </div>
    {% endblock content%}
</body>
</html>

templates/home/index.html
{% extends "base/base.html" %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{% block title %} Citas {% endblock title %}</title>
</head>
<body>
    {% block content %}
    <p>Funciona citas</p>
    {% endblock content%}
</body>
</html>